Query Information of a Ring Group
Query the detailed information of a ring group.
Request URL
GET {base_url}/{api_path}/ringgroup/get?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| id | Yes | Integer | The unique ID of the ring group. Note:You can query the ring group's ID using Search Specific Ring Groups. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| data | Object <Ring_Group_Detail> | The detailed information of the ring group. |
Ring_Group_Detail
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the ring group. |
| number | String | The ring group number. |
| name | String | The ring group name. |
| ring_strategy | String | The ring strategy of the ring group.
|
| ring_timeout | Integer | The waiting time (in seconds) before ringing the next member or routing the call to Failover Destination. Note: The parameter is valid only when the value of ring_strategy is ring_all, sequentially or memory_hunt. |
| member_list | Array <Ring_Group_Member> | The information of each member in the ring group. |
| fail_dest | String | The destination type for ring group calls unanswered within ring timeout.
|
| fail_dest_prefix | String | The destination prefix for ring group calls unanswered within ring timeout. Note: The definition of this parameter depends on the value of fail_dest.
|
| fail_dest_value | String | The detailed destination for ring group calls unanswered within ring timeout. Note:The definition of this parameter depends on the value of fail_dest.
|
| alert_info | String | The keyword added to Alert-info header in INVITE request, determining which ringtone to be play to identify ring group calls. |
| welcome_prompt | String | The filename of custom prompt or the name of MoH (music on hold) playlist. The audio is played to callers before members answer the calls. |
| moh | String | The name of the MoH (music on hold) playlist whose audio is played to callers when the calls are put on hold. |
| join_prompt | String | The filename of the custom prompt used to be played to callers only once when the calls join the ring group. |
| play_full_join_prompt | Integer | Whether the system plays full join prompt to callers before ringing members.
|
| client_unique_ringtone | String | The filename of the ringtone for members' Linkus clients. |
| no_agent_online_dest | String | The destination type for ring group calls with no online extensions.
|
| no_agent_online_prefix | String | The destination prefix for ring group calls with no online extensions. Note: The definition of this parameter depends on the value of no_agent_online_dest.
|
| no_agent_online_value | String | The detailed destination for ring group calls with no online extensions. Note: The definition of this parameter depends on the value of no_agent_online_dest.
|
| enb_miss_call | Integer | Whether missed ring group calls are recorded in call logs of extensions included in failover destination.
|
Ring_Group_Member
| Parameter | Type | Description |
|---|---|---|
| value | String | The ID of the ring group member. Note:The parameter is valid only when the value of ring_strategy is ring_all, sequentially or memory_hunt. |
| type | String | The type of the ring group member.
|
| text | String | The name of the ring group member. Note:The parameter is valid only when the value of ring_strategy is ring_all, sequentially or memory_hunt. |
| text2 | String | The definition of this parameter depends on the value of type.
|
| sub_option | Array <Custom_Strategy_Member> | The extensions and extension groups included in the ring group member entry. Note: The parameter is valid only when the value of ring_strategy is custom. |
| delay_time | Integer | The time delay (in seconds) before ringing all extensions included in the ring group member entry. Note: The parameter is valid only when the value of ring_strategy is custom. |
| timeout | Integer | The waiting time (in seconds) before ringing the next member or routing the call to Failover Destination. Note: The parameter is valid only when the value of ring_strategy is custom. |
Custom_Strategy_Member
| Parameter | Type | Description |
|---|---|---|
| value | String | The ID of the ring group member. |
| type | String | The type of the ring group member.
|
| text | String | The name of the ring group member. |
| text2 | String | The definition of this parameter depends on the value of type.
|
Examples
Request example
Query the detailed information of the specified ring group (ID: 8023).
GET /openapi/v1.0/ringgroup/get?access_token=mlF8b3omcSD822Sosdc6kyiFkdYkC8UG&id=8023 HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": {
"id": 8023,
"number": "6300",
"name": "Technical Support",
"ring_strategy": "ring_all",
"ring_timeout": 20,
"member_list": [
{
"value": "3071",
"type": "extension",
"text": "Evelyn",
"text2": "3200",
"delay_time": 0,
"timeout": 0,
"sub_option": null
},
{
"value": "3074",
"type": "extension",
"text": "Dave Haris",
"text2": "3202",
"delay_time": 0,
"timeout": 0,
"sub_option": null
},
{
"value": "3075",
"type": "extension",
"text": "Terrell Smith",
"text2": "3021",
"delay_time": 0,
"timeout": 0,
"sub_option": null
}
],
"fail_dest": "end_call",
"fail_dest_prefix": "",
"fail_dest_value": "",
"alert_info": "ring-group-support",
"welcome_prompt": "SoftBreeze",
"moh": "SoftBreeze",
"join_prompt": "DID.wav",
"play_full_join_prompt": 1,
"client_unique_ringtone": "",
"no_agent_online_dest": "end_call",
"no_agent_online_prefix": "",
"no_agent_online_value": "",
"enb_miss_call": 0
}
}